#ifndef INC_GTBDRMAN_H
#define INC_GTBDRMAN_H

#include "gtmanager.h"

/************************************************************************\
*
* GtBdrMan class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Type of child layout information */
typedef struct GtWListBdr
{
	GtWList wl;
	word bleft,bright;
	word btop,bbot;
	word minxs,minys;
	word maxxs,maxys;
} GtWListBdr;


class GtBdrMan : public GtManager
{
public:
		/* Standard */
	char *GetClass(void) { return("GtBdrMan"); }
	sbool IsSubClassOf(char *cn);
		/* Instance checks */
	sbool IsManager(void) { return(TRUE); }
		/* Child management */
	sbool SetLInfo(GtWidget *o,GtTag *tgs);
	void GetLInfo(GtWidget *o,GtTag *tgs);
		/* Child requests */
	void MoveSizeReq(GtWidget *o,word xp,word yp,word xs,word ys);
protected:
		/* Internal methods */
	GtWList *MakeWList(GtWidget *o,int sz);
};

#endif /* INC_GTBDRMAN_H */
