#ifndef INC_GTMENUBAR_H
#define INC_GTMENUBAR_H

#include "gtgroup.h"

/************************************************************************\
*
* GtMenuBar class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtMenu;

class GtMenuBar : public GtGroup
{
public:
		/* Standard */
	GtMenuBar(void);
	char *GetClass(void) { return("GtMenuBar"); }
	sbool IsSubClassOf(char *cn);
		/* Events */
	int Handle(XEvent *xe);
		/* Values */
	void SetEMask(ulong em);
		/* Notify */
	void NotifyA(ulong tag,void *arg);
		/* Menu / Popdown */
	void PopupSub(GtWidget *from,GtMenu *menu,Time tm);
	void PopdownSub(void);
protected:
		/* Internal methods */
	sbool Mouse(XEvent *xe);
	void Popdown(void);
protected:
		/* Instance variables */
	GtWidget *frm;
	GtMenu *sub;
	word sxp,syp,sxs,sys;
};

extern GtMenuBar *GtMkMenuBar(char *n,GtManager *p,GtTag *tgs);
extern GtMenuBar *GtMkMenuBar(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTMENUBAR_H */
