#ifndef INC_PROTO_H
#define INC_PROTO_H

/************************************************************************\
*
* Prototypes for functions that may not be in avaliable.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

#include <config.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>

#ifndef STDC_HEADERS

extern "C"
{

extern void memset(void *s,int c,unsigned int n);
extern void memcpy(void *d,const void *s,unsigned int n);
extern int memcmp(const void *s1,const void *s2,unsigned int n);

extern void *malloc(unsigned int size);
extern void free(void *ptr);
extern void *realloc(void *ptr,unsigned int size);

extern long int strtol(const char *ptr,char **end,int base);
extern char *strdup(const char *ptr);
extern char *strtok(char *s,const char *delim);

}

#endif

#endif /* INC_PROTO_H */
